Name:           python-hatchling
Version:        1.13.0
Release:        1
Summary:        The build backend used by Hatch
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        https://files.pythonhosted.org/packages/26/d3/96fa0ee6328ee141f6be444bd913d68c1105f5cca3f7622bced939a34bc5/hatchling-1.13.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-pip python3-hatch-vcs python3-pathspec 
BuildRequires:  python3-pluggy python3-tomli python3-packaging

%global common_description %{expand:
This is the extensible, standards compliant build backend used by Hatch.}

%description %{common_description}


%package -n python3-hatchling
Summary:        %{summary}

%description -n python3-hatchling %{common_description}

%prep
%autosetup -n hatchling-%{version}

%build
%pyproject_build

%install
%pyproject_install hatchling==%{version}

%files -n python3-hatchling
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/hatchling*
%{_bindir}/hatchling

%changelog
* Thu Apr 13 2023 caodongxia <caodongxia@h-partners.com> - 1.13.0-1
- Package init
